Bug 1022228 - Man iptables-restore(8) has wrong statement about the way data is read from a file
Man iptables-restore(8) has wrong statement about the way data is read from a...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: iptables (Show other bugs)
19
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 14:54 EDT by Alessandro Selli
Modified: 2015-01-12 05:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-12 05:53:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alessandro Selli 2013-10-22 14:54:40 EDT
Description of problem:
man 8 iptables-restore states:

«DESCRIPTION
iptables-restore is used to restore IP Tables from data specified on
STDIN. Use I/O redirection provided by your shell to read from a file».

This is however not true (anymore?):

root@ws-45 ~ # iptables -vL INPUT
Chain INPUT (policy ACCEPT 2 packets, 141 bytes)
 pkts bytes target     prot opt in     out     source       destination         
root@ws-45 ~ # iptables-restore /etc/sysconfig/iptables
root@ws-45 ~ # iptables -vL INPUT
Chain INPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         
    1    89 ACCEPT     all  --  any    any     anywhere             anywhere             ctstate RELATED,ESTABLISHED
    0     0 ACCEPT     all  --  lo     any     anywhere             anywhere            
    0     0 INPUT_direct  all  --  any    any     anywhere             anywhere            
    0     0 INPUT_ZONES_SOURCE  all  --  any    any     anywhere             anywhere            
    0     0 INPUT_ZONES  all  --  any    any     anywhere             anywhere            
    0     0 ACCEPT     icmp --  any    any     anywhere             anywhere            
    0     0 REJECT     all  --  any    any     anywhere             anywhere             reject-with icmp-host-prohibited



Version-Release number of selected component (if applicable):
iptables-1.4.18-1.fc19.i686


How reproducible:
Always.


Steps to Reproduce:
1. man 8 iptables-restore
2. Compare quoted statement with actual command behaviour.
3.

Actual results:
Command iptables-restore *does* read data from a file without the need of shell I/O redirection.


Expected results:
Statement must be removed or corrected.


Additional info:
Comment 2 Fedora End Of Life 2015-01-09 17:27:33 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.